Subject: Re: "Application failed to initialize (0xc0000022)"
From: Jason Tishler <[email-masked]>
To: "Gerald S. Williams" <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Oct 2002 14:03:45 -0400

Jerry,

On Fri, Oct 11, 2002 at 11:13:43AM -0400, Gerald S. Williams wrote:
>  <appname>.exe - Application Error
>  ---------------------------------
>  The application failed to initialize properly (0xc0000022).
>  Click on OK to terminate the application
>  [[ OK ]]

See below...

> Is it possible that this is an aspect of the dreaded "rebase" issue?

I don't think so.  If it was, then you would have experienced fork()
failures with messages (not dialogs) like the following:

    $ ./python test2.py 
    C:\home\jt\src\PythonCvs\nothreads\python.exe: *** unable to remap C:\cygwin\bin\cygssl.dll to same address as parent -- 0x1A2F0000
          0 [main] python 852 sync_with_child: child 2772(0x158) died before initialization with status code 0x1
        996 [main] python 852 sync_with_child: *** child state child loading dlls
    
> If so, I'd appreciate a pointer at the recommended procedure for
> rebasing everything that needs to be rebased

See the following for some background:

    http://cygwin.com/ml/cygwin/2002-07/msg00276.html

Note that *you* are going to have to figure out "everything that needs
to be rebased."  Sorry, but I can't really help you determine this
because everyone's rebase needs are different.

For example, here is the procedure to rebase all Cygwin and Python DLLs:

    $ # stop all Cygwin processes (except for bash)
    $ cd /usr/bin
    $ rebase -v -b 0x68000000 -d -o 0x10000 *.dll c:/Cygwin/usr/lib/python2.2/lib-dynload/*.dll

Note that the above assumes that the rebase of cygwin1.dll will fail due
to being in memory.  If it isn't, then re-rebase cygwin1.dll back to
0x61000000 with the following:

    C:\> rem stop *all* Cygwin processes
    C:\> rebase -v -b 0x61000000 C:\Cygwin\bin\cygwin1.dll

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/